Subject: bug#67128: closed (Re: [bug#67128] Use CDN instead of mirrors for Apache httpd)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 15 Apr 2025 19:28:04 +0000

Your bug report

#67128: Use CDN instead of mirrors for Apache httpd

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67128: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67128
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#67128] Use CDN instead of mirrors for Apache httpd
From: Greg Hogan <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 15 Apr 2025 15:27:06 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Mar 7, 2025 at 4:55 PM Greg Hogan <[email-masked]> wrote:
>
> On Sun, Nov 26, 2023 at 5:34 PM glaz--- via Guix-patches via
> <[email-masked]> wrote:
> >
> > On 2023-11-12 15:10, [email-masked] wrote:
> > > Hello fellow guixers.
> > >
> > > I've found that I cannot build httpd package because of download
> > > issues.
> >
> > Previous patch was wrong. Here's better one.
> > httpd-2.4.58 is Ok. The problem is httpd-2.4.52 could not be downloaded
> > from Apache mirrors, only from Apache archive site.
> >
> > Dmitry
>
> Now that I think about it I should have sent one email to both this and #63068.
>
> Is the update in 766822aa87b94eacb3c49fd68261ae4ce9088a56 sufficient
> to mark this as done?

Marking as done. httpd builds for me on master.

Subject: Use CDN instead of mirrors for Apache httpd
From: [email-masked]
To: [email-masked]
Date: Sun, 12 Nov 2023 15:10:32 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello fellow guixers.

I've found that I cannot build httpd package because of download issues.

downloading from 
http://www.eu.apache.org/dist/httpd/httpd-2.4.58.tar.bz2 ...

sha256 hash mismatch for 
/gnu/store/sil2xmw01qmyygdbhvrsvyvmaviha2dy-httpd-2.4.58.tar.bz2:
   expected hash: 1id45r2ccgkbjm9i998997ch32lvicpyynyx8x6aa4420wmdf5ps
   actual hash:   0mdqa9w1p6cmli6976v4wi0sw9r4p5prkj7lzfd1877wk11c9c73

On the other hand, Apache web site states clearly that it doesn't use 
mirror system anymore:
"As of the third quarter of 2021, the ASF stopped using its download 
mirror system. It is now using a global content distribution network 
(CDN)."
https://www.apache.org/mirrors.html

So I've made a patch that disables Apache mirrors for [email-masked] and 
httpd/[email-masked] packages.

Dmitry Nikolaev

diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
index 66d09700db..0fef4fb928 100644
--- a/gnu/packages/web.scm
+++ b/gnu/packages/web.scm
@@ -281,7 +281,7 @@ (define-public httpd
     (version "2.4.58")
     (source (origin
              (method url-fetch)
-             (uri (string-append "mirror://apache/httpd/httpd-"
+             (uri (string-append "https://dlcdn.apache.org/httpd/httpd-"
                                  version ".tar.bz2"))
              (sha256
               (base32
@@ -319,7 +319,7 @@ (define-public httpd/pinned
       (version "2.4.52")
       (source (origin
                (method url-fetch)
-               (uri (string-append "mirror://apache/httpd/httpd-"
+               (uri (string-append "https://dlcdn.apache.org/httpd/httpd-"
                                    version ".tar.bz2"))
                (sha256
                 (base32